RDKit: RDKit::FilterMatcherBase Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDKit::FilterMatcherBase Class Referenceabstract

`#include <FilterMatcherBase.h>`

Inheritance diagram for RDKit::FilterMatcherBase:

## Public Member Functions
| FilterMatcherBase (const std::string &name=DEFAULT_FILTERMATCHERBASE_NAME)
| FilterMatcherBase (const FilterMatcherBase &rhs)
virtual | ~FilterMatcherBase ()
virtual bool | isValid () const =0
virtual std::string | getName () const
virtual bool | getMatches (const ROMol &mol, std::vector< FilterMatch > &matchVect) const =0
| getMatches More...
virtual bool | hasMatch (const ROMol &mol) const =0
| hasMatches More...
virtual boost::shared_ptr< FilterMatcherBase > | Clone () const
| Clone - deprecated. More...
virtual boost::shared_ptr< FilterMatcherBase > | copy () const =0
| copy More...

## Detailed Description

Definition at line 76 of file FilterMatcherBase.h.

## Constructor & Destructor Documentation

RDKit::FilterMatcherBase::FilterMatcherBase | ( | const std::string & | name = `DEFAULT_FILTERMATCHERBASE_NAME` | ) |
| inline

Definition at line 83 of file FilterMatcherBase.h.

RDKit::FilterMatcherBase::FilterMatcherBase | ( | const FilterMatcherBase & | rhs | ) |
| inline

Definition at line 87 of file FilterMatcherBase.h.

virtual RDKit::FilterMatcherBase::~FilterMatcherBase | ( |  | ) |
| inlinevirtual

Definition at line 91 of file FilterMatcherBase.h.

## Member Function Documentation

virtual boost::shared_ptr<FilterMatcherBase> RDKit::FilterMatcherBase::Clone | ( |  | ) | const
| inlinevirtual

Clone - deprecated.

Definition at line 122 of file FilterMatcherBase.h.

References BOOST_LOG, RDUNUSED_PARAM, and rdWarningLog.

virtual boost::shared_ptr<FilterMatcherBase> RDKit::FilterMatcherBase::copy | ( |  | ) | const
| pure virtual

copy

Implemented in RDKit::FilterHierarchyMatcher, RDKit::ExclusionList, RDKit::SmartsMatcher, RDKit::FilterMatchOps::Not, RDKit::FilterMatchOps::Or, and RDKit::FilterMatchOps::And.

Referenced by RDKit::ExclusionList::addPattern(), and RDKit::FilterHierarchyMatcher::setPattern().

virtual bool RDKit::FilterMatcherBase::getMatches | ( | const ROMol & | mol,
|  | std::vector< FilterMatch > & | matchVect
| ) |  | const
| pure virtual

getMatches

Match the filter against a molecule

Parameters

  mol | readonly const molecule being searched
  matches | output vector of atom index matches found in the molecule

Implemented in RDKit::FilterHierarchyMatcher, RDKit::ExclusionList, RDKit::SmartsMatcher, RDKit::FilterMatchOps::Not, RDKit::FilterMatchOps::Or, and RDKit::FilterMatchOps::And.

virtual std::string RDKit::FilterMatcherBase::getName | ( |  | ) | const
| inlinevirtual

Reimplemented in RDKit::FilterHierarchyMatcher, RDKit::ExclusionList, RDKit::FilterMatchOps::Not, RDKit::FilterMatchOps::Or, and RDKit::FilterMatchOps::And.

Definition at line 95 of file FilterMatcherBase.h.

Referenced by RDKit::FilterMatchOps::And::getName(), RDKit::FilterMatchOps::Or::getName(), RDKit::FilterMatchOps::Not::getName(), and RDKit::ExclusionList::getName().

virtual bool RDKit::FilterMatcherBase::hasMatch | ( | const ROMol & | mol | ) | const
| pure virtual

hasMatches

Does the given molecule contain this filter pattern

Parameters

  mol | readonly const molecule being searched

Implemented in RDKit::FilterHierarchyMatcher, RDKit::ExclusionList, RDKit::SmartsMatcher, RDKit::FilterMatchOps::Not, RDKit::FilterMatchOps::Or, and RDKit::FilterMatchOps::And.

virtual bool RDKit::FilterMatcherBase::isValid | ( |  | ) | const
| pure virtual

Implemented in RDKit::FilterHierarchyMatcher, RDKit::ExclusionList, RDKit::SmartsMatcher, RDKit::FilterMatchOps::Not, RDKit::FilterMatchOps::Or, and RDKit::FilterMatchOps::And.

Referenced by RDKit::ExclusionList::addPattern(), and RDKit::FilterHierarchyMatcher::setPattern().

The documentation for this class was generated from the following file:

- FilterMatcherBase.h